Skip to main content
GET
/
commerce
/
catalog
/
admin
/
categories
/
{categoryId}
/
children
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "activeDateEnd": "2023-11-07T05:31:56Z",
      "activeDateStart": "2023-11-07T05:31:56Z",
      "attributes": [
        {
          "attributeDefinitionId": 123,
          "fullyQualifiedName": "<string>",
          "values": [
            "<unknown>"
          ]
        }
      ],
      "auditInfo": {
        "createBy": "<string>",
        "createDate": "2023-11-07T05:31:56Z",
        "updateBy": "<string>",
        "updateDate": "2023-11-07T05:31:56Z"
      },
      "catalogId": 123,
      "categoryCode": "<string>",
      "categoryType": "<string>",
      "childCount": 123,
      "content": {
        "categoryImages": [
          {
            "altText": "<string>",
            "cmsId": "<string>",
            "id": 123,
            "imageLabel": "<string>",
            "imageUrl": "<string>",
            "localeCode": "<string>",
            "mediaType": "<string>",
            "sequence": 123,
            "videoUrl": "<string>"
          }
        ],
        "description": "<string>",
        "localeCode": "<string>",
        "metaTagDescription": "<string>",
        "metaTagKeywords": "<string>",
        "metaTagTitle": "<string>",
        "name": "<string>",
        "pageTitle": "<string>",
        "slug": "<string>"
      },
      "dynamicExpression": {
        "text": "<string>",
        "tree": {
          "left": "<string>",
          "logicalOperator": "<string>",
          "nodes": "<array>",
          "operator": "<string>",
          "right": "<unknown>",
          "type": "<string>"
        }
      },
      "id": 123,
      "isActive": true,
      "isDisplayed": true,
      "localizedContent": [
        {
          "categoryImages": [
            {
              "altText": "<string>",
              "cmsId": "<string>",
              "id": 123,
              "imageLabel": "<string>",
              "imageUrl": "<string>",
              "localeCode": "<string>",
              "mediaType": "<string>",
              "sequence": 123,
              "videoUrl": "<string>"
            }
          ],
          "description": "<string>",
          "localeCode": "<string>",
          "metaTagDescription": "<string>",
          "metaTagKeywords": "<string>",
          "metaTagTitle": "<string>",
          "name": "<string>",
          "pageTitle": "<string>",
          "slug": "<string>"
        }
      ],
      "parentCategoryCode": "<string>",
      "parentCategoryId": 123,
      "parentCategoryName": "<string>",
      "parentIsActive": true,
      "productCount": 123,
      "sequence": 123,
      "shouldSlice": true
    }
  ],
  "totalCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

categoryId
integer<int32>
required

Unique identifier of the category whose subcategories you want to get.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Response

Success

Collection of categories returned as a whole. A collection is not paged.

items
object[] | null
totalCount
integer<int32>